freeslot("SKINCOLOR_METALLIX")

skincolors[SKINCOLOR_METALLIX] = {
	name = "Metallix",
	ramp = {48,131,134,135,151,153,154,167,168,168,169,169,169,169,253,253},
	invcolor = SKINCOLOR_PURPLE,
	invshade = 5,
	chatcolor = V_BLUEMAP,
	accessible = true
}
M_MoveColorBefore(SKINCOLOR_METALLIX, SKINCOLOR_COBALT)

freeslot("SKINCOLOR_METALLIXRED",
"SKINCOLOR_METALLIXORANGE",
"SKINCOLOR_METALLIXYELLOW",
"SKINCOLOR_METALLIXGREEN",
"SKINCOLOR_METALLIXPURPLE",
"SKINCOLOR_METALLIXGREY",
"SKINCOLOR_METALLIXBLACK"
)

skincolors[SKINCOLOR_METALLIXRED] = {
	name = "Metallix Red",
	ramp = {0,1,48,32,34,36,37,39,40,42,43,45,46,47,47,31},
	invcolor = SKINCOLOR_METALLIXGREEN,
	invshade = 4,
	chatcolor = V_REDMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_METALLIXRED, SKINCOLOR_RED)

skincolors[SKINCOLOR_METALLIXORANGE] = {
	name = "Metallix Orange",
	ramp = {0,1,48,50,53,55,56,37,38,40,42,43,71,45,46,47},
	invcolor = SKINCOLOR_METALLIX,
	invshade = 5,
	chatcolor = V_ORANGEMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_METALLIXORANGE, SKINCOLOR_ORANGE)

skincolors[SKINCOLOR_METALLIXYELLOW] = {
	name = "Metallix Yellow",
	ramp = {0,80,82,72,73,74,74,75,76,77,191,78,79,239,110,31},
	invcolor = SKINCOLOR_METALLIXPURPLE,
	invshade = 4,
	chatcolor = V_YELLOWMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_METALLIXYELLOW, SKINCOLOR_YELLOW)

skincolors[SKINCOLOR_METALLIXGREEN] = {
	name = "Metallix Green",
	ramp = {0,1,80,88,96,98,99,101,102,103,105,106,108,109,111,31},
	invcolor = SKINCOLOR_METALLIXRED,
	invshade = 4,
	chatcolor = V_GREENMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_METALLIXGREEN, SKINCOLOR_GREEN)

skincolors[SKINCOLOR_METALLIXPURPLE] = {
	name = "Metallix Purple",
	ramp = {0,144,144,160,161,162,164,165,166,167,168,169,253,254,31,31},
	invcolor = SKINCOLOR_METALLIXYELLOW,
	invshade = 5,
	chatcolor = V_YELLOWMAP,
	accessible = true
}
M_MoveColorAfter(SKINCOLOR_METALLIXPURPLE, SKINCOLOR_PURPLE)

skincolors[SKINCOLOR_METALLIXGREY] = {
	name = "Metallix Grey",
	ramp = {0,2,4,6,8,10,12,15,17,19,21,23,25,27,29,31},
	invcolor = SKINCOLOR_WHITE,
	invshade = 3,
	accessible = true,
	chatcolor = V_GRAYMAP
}
M_MoveColorAfter(SKINCOLOR_METALLIXGREY, SKINCOLOR_GREY)

skincolors[SKINCOLOR_METALLIXBLACK] = {
	name = "Metallix Black",
	ramp = {0,6,13,16,17,18,20,21,22,23,25,26,27,28,30,31},
	invcolor = SKINCOLOR_METALLIXGREY,
	invshade = 3,
	accessible = true,
	chatcolor = V_INVERTMAP
}
M_MoveColorAfter(SKINCOLOR_METALLIXBLACK, SKINCOLOR_BLACK)

//Cosmetal Super Colours
for i = 1, 5 do
	freeslot("SKINCOLOR_SUPERCOBALT"..i)
end
//Super Cobalt
skincolors[SKINCOLOR_SUPERCOBALT1] = {
	name = "Super Cobalt 1",
	ramp = {0, 144, 144, 145, 146, 146, 147, 148, 148, 149, 167, 168, 169, 169, 254, 254},
	invcolor = SKINCOLOR_APRICOT,
	invshade = 3,
	chatcolor = V_BLUEMAP
}
skincolors[SKINCOLOR_SUPERCOBALT2] = {
	name = "Super Cobalt 2",
	ramp = {0, 144, 145, 146, 146, 147, 148, 149, 166, 167, 168, 168, 169, 253, 254, 254},
	invcolor = SKINCOLOR_APRICOT,
	invshade = 3,
	chatcolor = V_BLUEMAP
}
skincolors[SKINCOLOR_SUPERCOBALT3] = {
	name = "Super Cobalt 3",
	ramp = {0, 144, 146, 147, 148, 149, 166, 167, 167, 168, 168, 169, 253, 253, 254, 254},
	invcolor = SKINCOLOR_APRICOT,
	invshade = 3,
	chatcolor = V_BLUEMAP
}
skincolors[SKINCOLOR_SUPERCOBALT4] = {
	name = "Super Cobalt 4",
	ramp = {0, 146, 148, 150, 151, 154, 155, 156, 168, 169, 169, 253, 254, 254, 31, 31},
	invcolor = SKINCOLOR_APRICOT,
	invshade = 3,
	chatcolor = V_BLUEMAP
}
skincolors[SKINCOLOR_SUPERCOBALT5] = {
	name = "Super Cobalt 5",
	ramp = {0, 150, 153, 154, 156, 168, 169, 169, 169, 253, 253, 254, 254, 254, 31, 31},
	invcolor = SKINCOLOR_APRICOT,
	invshade = 3,
	chatcolor = V_BLUEMAP
}

for i = 1, 5 do
	freeslot("SKINCOLOR_SUPERCRIMSON"..i)
end
//Super Crimson
skincolors[SKINCOLOR_SUPERCRIMSON1] = {
	name = "Super Crimson 1",
	ramp = {0,252,208,209,209,210,32,32,34,40,41,41,42,43,44,45},
	invcolor = SKINCOLOR_EMERALD,
	invcolor = 4,
	chatcolor = V_REDMAP
}
skincolors[SKINCOLOR_SUPERCRIMSON2] = {
	name = "Super Crimson 2",
	ramp = {0,208,209,209,210,32,33,34,38,40,40,41,42,43,44,45},
	invcolor = SKINCOLOR_EMERALD,
	invcolor = 4,
	chatcolor = V_REDMAP
}
skincolors[SKINCOLOR_SUPERCRIMSON3] = {
	name = "Super Crimson 3",
	ramp = {0,200,210,32,33,215,40,40,41,41,42,43,43,44,44,45},
	invcolor = SKINCOLOR_EMERALD,
	invcolor = 4,
	chatcolor = V_REDMAP
}
skincolors[SKINCOLOR_SUPERCRIMSON4] = {
	name = "Super Crimson 4",
	ramp = {0,32,34,39,40,40,41,41,42,42,43,43,44,44,44,45},
	invcolor = SKINCOLOR_EMERALD,
	invcolor = 4,
	chatcolor = V_REDMAP
}
skincolors[SKINCOLOR_SUPERCRIMSON5] = {
	name = "Super Crimson 5",
	ramp = {35,36,37,38,39,40,40,41,41,42,42,43,43,44,44,45},
	invcolor = SKINCOLOR_EMERALD,
	invshade = 4,
	chatcolor = V_REDMAP
}

for i = 1, 5 do
	freeslot("SKINCOLOR_SUPERGREEN"..i)
end
//Super Green
skincolors[SKINCOLOR_SUPERGREEN1] = {
	name = "Super Green 1",
	ramp = {0,89,89,90,91,99,101,102,104,105,117,117,118,119,111,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_GREENMAP
}
skincolors[SKINCOLOR_SUPERGREEN2] = {
	name = "Super Green 2",
	ramp = {0,89,90,91,99,101,103,105,117,118,118,119,119,111,111,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_GREENMAP
}
skincolors[SKINCOLOR_SUPERGREEN3] = {
	name = "Super Green 3",
	ramp = {0,89,90,99,102,105,117,118,118,118,119,119,111,111,31,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_GREENMAP
}
skincolors[SKINCOLOR_SUPERGREEN4] = {
	name = "Super Green 4",
	ramp = {0,89,91,102,106,117,118,118,118,119,119,119,111,111,31,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_GREENMAP
}
skincolors[SKINCOLOR_SUPERGREEN5] = {
	name = "Super Green 5",
	ramp = {0,92,117,118,118,118,119,119,119,111,111,111,111,31,31,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_GREENMAP
}

for i = 1, 5 do
	freeslot("SKINCOLOR_SUPERBLACKHOLE"..i)
end
//Super Black Hole
skincolors[SKINCOLOR_SUPERBLACKHOLE1] = {
	name = "Super Black Hole 1",
	ramp = {14,16,18,20,22,24,25,26,27,28,28,29,30,30,31,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_INVERTMAP
}
skincolors[SKINCOLOR_SUPERBLACKHOLE2] = {
	name = "Super Black Hole 2",
	ramp = {14,16,19,22,24,25,26,26,27,28,28,29,29,30,30,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_INVERTMAP
}
skincolors[SKINCOLOR_SUPERBLACKHOLE3] = {
	name = "Super Black Hole 3",
	ramp = {14,18,21,25,25,26,26,27,27,28,28,29,29,30,30,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_INVERTMAP
}
skincolors[SKINCOLOR_SUPERBLACKHOLE4] = {
	name = "Super Black Hole 4",
	ramp = {14,20,25,26,26,26,27,27,28,28,29,29,30,30,31,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_INVERTMAP
}
skincolors[SKINCOLOR_SUPERBLACKHOLE5] = {
	name = "Super Black Hole 5",
	ramp = {31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31},
	invcolor = SKINCOLOR_RED,
	invshade = 4,
	chatcolor = V_INVERTMAP
}

freeslot("SKINCOLOR_METALIMAGE")

local c = 0
skincolors[SKINCOLOR_METALIMAGE] = {
	name = "Metalimage",
	ramp = {c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c},
	invcolor = SKINCOLOR_BLACK,
	invshade = 15,
	chatcolor = V_GRAYMAP,
	accessible = false
}

freeslot("SKINCOLOR_CMSHYPER")

skincolors[SKINCOLOR_CMSHYPER] = {
	name = "CMS Hyper",
	ramp = {0,4,7,8,9,11,12,14,16,18,20,22,24,27,29,31},
	invcolor = SKINCOLOR_METALLIX,
	invshade = 5,
	chatcolor = V_BLUEMAP,
	accessible = false
}