rawset(_G, "CMS", {})

freeslot("S_PLAY_METALAIM",
"MT_METALIMAGE",
"S_CMS_METALDJ",
"S_CMS_FLOORDEAD",
"S_CMS_FLOORDEAD2",
"S_CMS_WIN",
"S_CMS_SWITCHOFF",
"S_CMS_OFF",
"SPR2_MDJ_",
"SPR2_EROR",
"SPR2_CNTE",
"SPR2_OFF_",
"SPR2_OFF2",
"sfx_pity",
"sfx_mdie",
"sfx_mhurt1",
"sfx_mhurt2",
"sfx_mbost1",
"sfx_mbost2",
"sfx_mwin",
"sfx_s3kb31",
"sfx_oof",
"sfx_wooo",
"sfx_eror",
"sfx_talk0")
sfxinfo[sfx_talk0].caption = "/"

sfxinfo[sfx_pity].caption = "Pity Shield Pities you"

sfxinfo[sfx_mdie].caption = "No..."
sfxinfo[sfx_mhurt1].caption = "Yeow!"
sfxinfo[sfx_mhurt2].caption = "Ow!"
sfxinfo[sfx_mbost1].caption = "Yeah!"
sfxinfo[sfx_mbost2].caption = "Come On!"
sfxinfo[sfx_mwin].caption = "See you later!"
sfxinfo[sfx_oof].caption = "oof"
sfxinfo[sfx_wooo].caption = "WOOOOO"
sfxinfo[sfx_eror].caption = "*System Overload*"

function CMS.MetalSoundPlaying(mo)
	if S_SoundPlaying(mo, sfx_mdie)
		return true,sfxinfo[sfx_mdie].caption
	elseif S_SoundPlaying(mo, sfx_mhurt1)
		return true,sfxinfo[sfx_mhurt1].caption
	elseif S_SoundPlaying(mo, sfx_mhurt2)
		return true,sfxinfo[sfx_mhurt2].caption
	elseif S_SoundPlaying(mo, sfx_mbost1)
		return true,sfxinfo[sfx_mbost1].caption
	elseif S_SoundPlaying(mo, sfx_mbost2)
		return true,sfxinfo[sfx_mbost2].caption
	elseif S_SoundPlaying(mo, sfx_mwin)
		return true,sfxinfo[sfx_mwin].caption
	elseif S_SoundPlaying(mo, sfx_oof)
		return true,sfxinfo[sfx_oof].caption
	elseif S_SoundPlaying(mo, sfx_wooo)
		return true,sfxinfo[sfx_wooo].caption
	elseif S_SoundPlaying(mo, sfx_eror)
		return true,sfxinfo[sfx_eror].caption
	end
end

local hurtsounds = {
	sfx_mhurt1,
	sfx_mhurt2
}

function CMS.HurtSound()
	if CMS.Check("memes")
		return sfx_oof
	else
		return hurtsounds[P_RandomRange(1,2)]
	end
end

local boostsounds = {
	sfx_mbost1,
	sfx_mbost2
}

function CMS.BoostSound()
	return boostsounds[P_RandomRange(1,2)]
end

states[S_PLAY_METALAIM] = {
	sprite = SPR_PLAY,
	frame = SPR2_LAND|A,
	tics = 1,
	nextstate = S_PLAY_METALAIM
}

states[S_CMS_METALDJ] = {
	sprite = SPR_PLAY,
	frame = SPR2_MDJ_|FF_ANIMATE|A,
	tics = -1,
	var1 = 1,
	var2 = 4,
	nextstate = S_CMS_METALDJ
}

states[S_CMS_FLOORDEAD] = {SPR_PLAY, SPR2_CNT1|FF_ANIMATE, -1, nil, 5, 4, S_CMS_FLOORDEAD}
states[S_CMS_FLOORDEAD2] = {SPR_PLAY, SPR2_CNTE|FF_ANIMATE, -1, nil, 5, 4, S_CMS_FLOORDEAD2}
states[S_CMS_SWITCHOFF] = {SPR_PLAY, SPR2_OFF_|FF_ANIMATE, 10, nil, 3, 5, S_CMS_OFF}
states[S_CMS_OFF] = {SPR_PLAY, SPR2_OFF2|A, 1, nil, 0, 0, S_CMS_OFF}

mobjinfo[MT_METALIMAGE] = {
	doomednum = -1,
	spawnstate = S_NULL,
	flags = MF_NOGRAVITY|MF_NOCLIP|MF_NOCLIPHEIGHT|MF_NOBLOCKMAP,
	radius = 5*FRACUNIT,
	height = 30*FRACUNIT,
	deathsound = sfx_ncspec
}