//The Misc file for things such as interactions such as crumbling FOFs, everything that doesn't fit with the main file

//Air Curl - Not anymore!!
addHook("PlayerThink", function(player)
	if player.mo.skin != "cosmetal" then return end
	
	if not P_IsObjectOnGround(player.mo) and not (player.pflags&PF_JUMPED)
	and not (player.pflags&PF_SPINNING) and not (player.pflags&PF_THOKKED)
	and player.playerstate == PST_LIVE and (player.panim != PA_ABILITY
	and player.panim != PA_ABILITY2) and(player.powers[pw_carry] == CR_NONE)
	and not P_PlayerInPain(player)
	and not (player.climbing) and not player.rboost_canceled
		local momz = player.mo.momz*P_MobjFlip(player.mo)
		if momz > 0
			player.mo.state = S_PLAY_SPRING
		else
			player.mo.state = S_PLAY_FALL
		end
		player.pflags = $|PF_JUMPED
	end
end)

//Spin Steer by delf
addHook("PlayerThink", function(p)
	if p.mo.skin == "cosmetal"
		if p.pflags & PF_SPINNING and not (p.pflags & PF_STARTDASH)
		and P_IsObjectOnGround(p.mo) then
			p.thrustfactor = (skins[p.mo.skin].thrustfactor)*12
		else
			if not p.rboosting
				p.thrustfactor = skins[p.mo.skin].thrustfactor
			else
				p.thrustfactor = skins[p.mo.skin].thrustfactor*12
			end
		end
	end
end)

//Crumble FOF by Frostii
local function CheckAndCrumble2(mo, sec)
  for fof in sec.ffloors()
    if not (fof.flags & FF_EXISTS) continue end -- Does it exist?
    if not (fof.flags & FF_BUSTUP) continue end -- Is it bustable?
    
    if mo.z + mo.momz + mo.height < fof.bottomheight continue end -- Are we too low?
    if mo.z + mo.momz > fof.topheight continue end -- Are we too high?

    -- Check for whatever else you may want to    

    EV_CrumbleChain(fof) -- Crumble
  end
end

addHook("PlayerThink", function(p)
  if not p.mo return end
  if p.mo.skin != "cosmetal" return end
  if not p.rboosting then return end
	CheckAndCrumble2(p.mo, p.mo.subsector.sector)
end)

addHook("MobjLineCollide", function(mo, line)
  if not mo.player return end
  if mo.skin != "cosmetal" return end
  if not mo.player.rboosting then return end
  for _, sec in ipairs({line.frontsector, line.backsector})
    CheckAndCrumble2(mo, sec)
  end
end, MT_PLAYER)

//Custom Death Anims
local function FireOrZapDie(mo, dmgtype)
	mo.color = SKINCOLOR_GREY
	mo.colorized = true
	if (dmgtype == DMG_FIRE)
		mo.firedie = true
	elseif (dmgtype == DMG_ELECTRIC)
		mo.zapdie = true
	end
end

addHook("MobjDamage", function(mo, i, s, dmgtype)
	if mo.skin != "cosmetal" or mo.player.speeddash then return end
	
	if mo.player.playerstate == PST_LIVE
		S_StartSound(mo, CMS.HurtSound())
	end
end,MT_PLAYER)

addHook("MobjDeath", function(mo, i, s, dmgtype)
	if mo.skin != "cosmetal" then return end
	
	if CMS.Check("memes")
		S_StopSoundByID(mo, sfx_oof)
		S_StartSound(mo, sfx_eror)
		mo.sprite2 = SPR2_EROR
	else
		S_StartSound(mo, sfx_mdie)
	end
	if (dmgtype == DMG_FIRE or dmgtype == DMG_ELECTRIC)
		FireOrZapDie(mo, dmgtype)
	end
end,MT_PLAYER)

addHook("MobjThinker", function(mo)
	if mo.skin != "cosmetal" then return end
	
	if not(mo.health)
		if mo.firedie
			if leveltime%TICRATE/2 == 0
				A_BossScream(mo, 0, MT_PYREFLY_FIRE)
			end
			mo.color = SKINCOLOR_GREY
			mo.colorized = true
		end
		if mo.zapdie
			if (((leveltime-3)/2) & 1)
				mo.color = SKINCOLOR_YELLOW
			else
				mo.color = SKINCOLOR_GREY
			end
			if leveltime%TICRATE/2 == 0
				A_BossScream(mo, 0, MT_WATERZAP)
			end
			mo.colorized = true
		end
	else
		mo.zapdie = false
		mo.firedie = false
	end
end, MT_PLAYER)

//Music Stuff
addHook("MusicChange", function(oldname, newname)
	if consoleplayer
		local character = skins[consoleplayer.skin].name
		if character == "cosmetal"
			if newname == "_super"
				if consoleplayer.cmsHyper and CMS.Check("hyperoverride") == 1
					return "SSZB"
				else
					if CMS.Check("supermusic") == 2
						return "CMSSUP"
					elseif CMS.Check("supermusic") == 1
						return "VSMETL"
					else
						return "_SUPER"
					end
				end
			elseif CMS.Check("memes") and newname == "_drown"
				return "TDROWN"
			elseif newname == "_clear"
				return "CMSWIN"
			end
		end
	end
end)

//XMomentum Trick Boost Sound
addHook("PlayerThink", function(p)
	if not p.isxmomentum or not(p.mo and p.mo.valid) then return end
	if P_IsObjectOnGround(p.mo) and p.trickboostcount > 0 and p.mo.health
		--print("test")
		if p.mo.skin == "cosmetal"
			if p.mo.rollangle <= ANG60 and p.mo.rollangle >= ANG350 - ANG30 - ANG20
				if p.trickboostcount == 10 
					S_StartSound(p.mo, CMS.BoostSound())
				end
			else
				S_StartSound(p.mo, sfx_mdie)
			end
		end
	end
end)

//End Level Win Sound and Damage Coloring
addHook("PlayerThink", function(p)
	if not(p.mo and p.mo.valid) or p.mo.skin != "cosmetal" then return end
	
	if P_PlayerInPain(p) and CMS.Check("memes")
		p.mo.color = SKINCOLOR_CRIMSON
		p.mo.colorized = true
	end
	
	if p.exiting
		p.rboosting = 0
		p.vboosting = 0
		p.charging = 0
		p.speeddash = 0
		p.runtime = 0
		if not p.winsound
			if CMS.Check("memes")
				S_StartSound(p.mo, sfx_wooo)
			else
				S_StartSound(p.mo, sfx_mwin)
			end
			p.winsound = true
		end
		if P_IsObjectOnGround(p.mo) 
			if p.mo.state != S_CMS_WIN
				p.mo.state = S_CMS_WIN
			end
		end
	end
end)

//NetVars for mobjThinkers variable
addHook("NetVars", function(net)
	mobjThinkers = net($)
end)